import { _ as m, __tla as __tla_0 } from "./CustomCard.vue_vue_type_script_setup_true_lang-374ERk20.js";
import { d as p, r as a, ay as s, ac as n, c, o as l, w as f, i as h, l as _, __tla as __tla_1 } from "./index-9PRMimni.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./workbench-DEgqNpqd.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
let D;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    let d;
    d = [
        "src"
    ];
    D = p({
        __name: "VesselTracking",
        props: {
            componentItem: {},
            isEditable: {
                type: Boolean
            },
            searchParams: {},
            refreshComponent: {
                type: Boolean
            }
        },
        setup (o) {
            const e = o, r = a("");
            s(()=>e.refreshComponent, (t)=>{
                n(()=>{
                    t && i();
                });
            }, {
                immediate: !0
            });
            async function i() {}
            return (t, u)=>(l(), c(m, {
                    componentItem: t.componentItem,
                    "show-transition": !1,
                    "show-filter": !1
                }, {
                    default: f(()=>[
                            h("iframe", {
                                src: _(r),
                                style: "width: 100%; height: 100%"
                            }, null, 8, d)
                        ]),
                    _: 1
                }, 8, [
                    "componentItem"
                ]));
        }
    });
});
export { D as default, __tla };
